## qmtest 2.4.1

=== templates/Makefile ===
######################################################### -*-Makefile-*-
#
# File:   Makefile (template)
# Author: Fill me in!
# Date:   YYYY-MM-DD
#
# Contents:
#   Fill me in!
# 
# Copyright (C) 2004 CodeSourcery LLC
#
# For license terms see the file COPYING.
#
########################################################################

=== debian/changelog ===
qmtest (2.4.1-3) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * Changes by Logan Rosen from Ubuntu:
  * debian/rules:
    - Remove legacy DH_COMPAT export. Closes: #800272.
    - Use dh_prep instead of dh_clean -k.
  * debian/compat: Change compatibility level to 9.
  * debian/control: Build-depend on debhelper (>= 9).

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Apr 2016 10:43:56 +0200

qmtest (2.4.1-2) unstable; urgency=low

  * QA upload.
  * Orphan the package.
  * Fix some lintian warnings.
  * Build using dh_python2. Closes: #617049.
  * Use TypeError instead of string exceptions. Closes: #585346.
  * Avoid exception when calling os.setpgid during "qmtest run -j < n>1 >"
    Closes: #507674.
  * Remove debian/watch. Not available anymore on the CodeSourcery site.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jan 2013 16:46:18 +0100

qmtest (2.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Mar 2009 19:25:21 +0100

qmtest (2.4-5) unstable; urgency=low

  * Remove python-extclass as a dependency as well.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2008 14:11:43 +0100

qmtest (2.4-4) unstable; urgency=low

  * Drop build dependeny on python-extclass (optional).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2008 14:05:55 +0100

qmtest (2.4-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Actually remove python-happydoc from Build-Depends. Closes: #500483.

 -- Chris Lamb <lamby@debian.org>  Thu, 02 Oct 2008 16:02:30 +0100

qmtest (2.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove python-happydoc from Build-Depends. Closes: #497703.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Oct 2008 09:41:45 +0100

qmtest (2.4-3) unstable; urgency=low

  * Do not use the install root when assembling the extension path
    for the config.py file.
  * Don't hardcode the python version in the config file.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Mar 2008 16:51:19 +0100

qmtest (2.4-2) unstable; urgency=low

  * Update watch file. Closes: #450075.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2008 21:34:52 +0100

qmtest (2.4-1) unstable; urgency=low

  * New upstream version.
  * Drop the qm package; just package as qmtest.
  * Remove (build)-dependency on python-xml. Closes: #468611, #468636.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2008 16:34:55 +0100

qm (2.3-4) unstable; urgency=low

  * qm: Install the debian changelog. Closes: #393581.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 22:07:38 +0200

qm (2.3-3) unstable; urgency=low

  * Build-depend on python-all-dev instead of python-dev, building the
    extension for all supported python versions. Closes: #374208, #374262.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2006 09:29:36 +0000

qm (2.3-2) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373376.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 02:59:32 +0200

qm (2.3-1) unstable; urgency=low

  * New upstream version.
  * Split binary-arch package python-sigmask.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Aug 2005 21:17:26 +0200

qm (2.2-4) unstable; urgency=medium

  * Accept jade and openjade to build the documentation (closes: #278424).

 -- Matthias Klose <doko@debian.org>  Wed, 27 Oct 2004 23:23:03 +0200

qm (2.2-3) unstable; urgency=high

  * Remove the qm-sigmask package, include the module into the qm package,
    make it architecture any (closes: #262654).

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2004 14:02:01 +0200

qm (2.2-2) unstable; urgency=low

  * Separate out binary modules into new qm-sigmask package (closes: #262654).

 -- Matthias Klose <doko@debian.org>  Sun,  1 Aug 2004 14:38:26 +0200

qm (2.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jul 2004 23:47:38 +0200

qm (2.1.2-3) unstable; urgency=medium

  * Fix typo in debian/rules (closes: #246796).

 -- Matthias Klose <doko@debian.org>  Sat,  1 May 2004 11:45:32 +0200

qm (2.1.2-2) unstable; urgency=low

  * Fix location of the qmtest manual (closes: #242307).
  * Remove documentation of --verbose from man page.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Apr 2004 13:23:43 +0200

qm (2.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2004 12:01:53 +0100

qm (2.1-2) unstable; urgency=low

  * Add docbook-xml as a build dependency (closes: #233149).

 -- Matthias Klose <doko@debian.org>  Tue, 17 Feb 2004 23:33:57 +0100

qm (2.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Feb 2004 07:35:25 +0100

qm (2.0.3-4) unstable; urgency=low

  * Update package description (closes: #217145).
  * Add qmtest(1) manpage.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Nov 2003 23:42:45 +0100

qm (2.0.3-3) unstable; urgency=low

  * Use python 2.3.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Aug 2003 12:44:42 +0200

qm (2.0.3-2) unstable; urgency=low

  * Fix python version in postinst script (closes: #183219).

 -- Matthias Klose <doko@debian.org>  Tue,  4 Mar 2003 00:49:17 +0100

qm (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2003 12:01:39 +0100

qm (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Jan 2003 09:56:46 +0100

qm (2.0.1-1) unstable; urgency=low

  * New upstream release (closes: #173069).
  * Fix typo (closes: #172571).
  * Fix locatation of tutorial files (closes: #172548).
  * Compilation warnings don't show up anymore with python2.2.
    Closes: #137505, #147391.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Dec 2002 11:34:39 +0100

qm (1.1.5-2) unstable; urgency=low

  * Use the python default version (v2.2.1).
    Closes: #159266.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Aug 2002 22:52:15 +0200



=== debian/control ===
Source: qmtest
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.4), jadetex, tidy, docbook-dsssl, sgml-data, docbook-xml
Standards-Version: 3.9.4

Package: qmtest
Architecture: all
Depends: ${python:Depends}, python-sigmask (>= ${source:Version}), ${misc:Depends}
Conflicts: qm (<< 2.4)
Replaces: qm (<< 2.4)
XB-Python-Version: ${python:Versions}
Description: Testing Framework (part of the Quality Management Toolset (QM))
 CodeSourcery's QMTest provides a cost-effective general purpose
 testing solution that allows an organization to implement a robust,
 easy-to-use testing program tailored to its needs. QMTest works with
 most varieties of UNIX, including GNU/Linux, and with Microsoft
 Windows.
 .
 QMTest's extensible architecture allows it to handle a wide range of
 application domains: everything from compilers to graphical user
 interfaces to web-based applications.

Package: python-sigmask
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: module for saving and restoring the signal mask
 Simple Python support for saving and restoring the signal mask.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PV	:= $(shell python -c 'import sys; print sys.version[:3]')
PYVERS	:= $(shell pyversions -vs)

d	= debian/tmp
p_test	= qmtest
d_test	= debian/$(p_test)
p_sig	= python-sigmask
d_sig	= debian/$(p_sig)

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir
	set -e; \
	for v in $(PYVERS); do \
	  python$$v setup.py build; \
	done
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-doc-stamp configure-stamp
	for v in $(PYVERS); do \
	  python$$v setup.py clean; \
	done
	-find -type d -name build | xargs rm -rf
	-find -name '*.py[co]' | xargs rm -f
	-find doc -name '*.html' | xargs rm -f
	rm -f qm.spec
	rm -f results.qmr qm/setup_path.py
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep

	set -e; \
	for v in $(PYVERS); do \
	  libdir=$$(python$$v -c 'from distutils import sysconfig; print(sysconfig.get_python_lib())'); \
	  python$$v setup.py install --root $(CURDIR)/$(d_test) --install-layout=deb; \
	  sed -i -e "s/2\.[0-9]'$$/%s' % sys.version[:3]/" \
		$(d_test)/$$libdir/qm/config.py; \
	done
	-find $(d_test) -name '*.py[co]' | xargs rm -f

	: # adjust installation
	rm -f $(d_test)/usr/share/doc/qm/COPYING
	rm -f $(d_test)/usr/bin/qmtest.py

	: # qmtest package
	dh_installdirs -p$(p_test) \
		usr/share/man/man1

	: # qm-sigmask package
	dh_movefiles -p$(p_sig) --sourcedir=$(d_test) \
		usr/lib/python*/*-packages/qm/sigmask.so
	for v in $(PYVERS); do \
	  libdir=$$(python$$v -c 'from distutils import sysconfig; print(sysconfig.get_python_lib())'); \
	  dh_link -p$(p_sig) \
		$$libdir/qm/sigmask.so \
		$$libdir/sigmask.so; \
	done

	cp -p debian/qmtest.1 $(d_test)/usr/share/man/man1/.

	: # remove empty directories
	for d in `find debian -depth -type d -empty 2> /dev/null`; do \
	  while rmdir $$d 2> /dev/null; do d=`dirname $$d`; done; \
	done

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a -A README
	dh_installchangelogs -a
	dh_compress -a -X.pdf
	dh_fixperms -a
	dh_python2 -a
	dh_shlibdeps -a
	dh_strip -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	mv $(d_test)/usr/share/doc/qmtest/print/tutorial.pdf \
		$(d_test)/usr/share/doc/qmtest/
	rmdir $(d_test)/usr/share/doc/qmtest/print
	mv $(d_test)/usr/share/doc/qmtest/html/tutorial \
		$(d_test)/usr/share/doc/qmtest/
	rmdir $(d_test)/usr/share/doc/qmtest/html
	rm -f $(d_test)/usr/share/doc/qmtest/COPYING
	rm -f $(d_test)/usr/share/doc/qmtest/LICENSE.OPL
	rm -f $(d_test)/usr/share/doc/qmtest/ChangeLog
#	dh_installexamples -i
	dh_installmenu -i
	dh_installcron -i
	dh_installchangelogs -i ChangeLog
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
